WeldBeadBuilder Class

class NXOpen.Weld.WeldBeadBuilder

Bases: NXOpen.Builder

Used to create or edit a NXOpen.Weld.WeldBead feature.

To create a new instance of this class, use NXOpen.Weld.WeldManager.CreateWeldBeadBuilder()

Default values.

Property Value
BeadLocation SecondaryParts
FaceInferMethod None
TangentAngle 45.0

New in version NX7.5.0.

Properties

Property Description
BeadLocation Returns or sets the desired bead location.
Characteristics Returns the characteristics to assign to the object created.
DistanceTolerance Returns or sets the distance tolerance for constructing the bead.
ExtendToBoundary Returns or sets the option to control if the bead guide curve should extend to the nearest face boundary.
FaceInferMethod Returns or sets the method to use when inferring faces to create the bead guide curve path.
OutputType Returns or sets the output type which controls the update behaviour of the bead feature.
PathList Returns the list containing the defined path segments.
SelectBottomParts Returns the collector containing the secondary bodies the bead is attached to.
SelectTopParts Returns the collector containing the primary bodies the bead is attached to.
SizeList Returns the list containing the sizes used to create the bead.
Tag Returns the Tag for this object.
TangentAngle Returns or sets the tangent angle used to find faces tangent to the seed face specified.
Type Returns or sets the shape of the bead to create.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreatePreviewPath Creates a preview curve that will be used to create the bead solid.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetPreviewPath The preview curve that will be used to create the bead solid.
NewPath Creates a NXOpen.Weld.WeldBeadPathBuilder object.
NewSize Creates a NXOpen.Weld.WeldBeadSizeBuilder object.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

WeldBeadBuilderBeadLocationMethod Enumeration Settings to indicate the desired location of the bead.
WeldBeadBuilderFaceInferMethodType Enumeration Settings to indicate the method for obtaining faces used when creating the guide curve path.
WeldBeadBuilderOutputTypes Enumeration Settings to indicate the update behaviour of the bead feature
WeldBeadBuilderTypes Enumeration Settings to indicate the sweep shape of the bead.

Property Detail

BeadLocation

WeldBeadBuilder.BeadLocation

Returns or sets the desired bead location.

-------------------------------------

Getter Method

Signature BeadLocation

Returns:
Return type:NXOpen.Weld.WeldBeadBuilderBeadLocationMethod

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BeadLocation

Parameters:beadLocation (NXOpen.Weld.WeldBeadBuilderBeadLocationMethod) –

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

Characteristics

WeldBeadBuilder.Characteristics

Returns the characteristics to assign to the object created.

-------------------------------------

Getter Method

Signature Characteristics

Returns:
Return type:NXOpen.Weld.CharacteristicsBuilder

New in version NX7.5.0.

License requirements: None.

DistanceTolerance

WeldBeadBuilder.DistanceTolerance

Returns or sets the distance tolerance for constructing the bead.

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

ExtendToBoundary

WeldBeadBuilder.ExtendToBoundary

Returns or sets the option to control if the bead guide curve should extend to the nearest face boundary.

-------------------------------------

Getter Method

Signature ExtendToBoundary

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ExtendToBoundary

Parameters:extendToBoundary (bool) –

New in version NX11.0.0.

License requirements: ugweld (“UG WELD”)

FaceInferMethod

WeldBeadBuilder.FaceInferMethod

Returns or sets the method to use when inferring faces to create the bead guide curve path.

-------------------------------------

Getter Method

Signature FaceInferMethod

Returns:
Return type:NXOpen.Weld.WeldBeadBuilderFaceInferMethodType

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature FaceInferMethod

Parameters:faceInferMethod (NXOpen.Weld.WeldBeadBuilderFaceInferMethodType) –

New in version NX11.0.1.

License requirements: ugweld (“UG WELD”)

OutputType

WeldBeadBuilder.OutputType

Returns or sets the output type which controls the update behaviour of the bead feature.

-------------------------------------

Getter Method

Signature OutputType

Returns:
Return type:NXOpen.Weld.WeldBeadBuilderOutputTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OutputType

Parameters:type (NXOpen.Weld.WeldBeadBuilderOutputTypes) –

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

PathList

WeldBeadBuilder.PathList

Returns the list containing the defined path segments.

-------------------------------------

Getter Method

Signature PathList

Returns:
Return type:NXOpen.Weld.WeldBeadPathBuilderList

New in version NX7.5.0.

License requirements: None.

SelectBottomParts

WeldBeadBuilder.SelectBottomParts

Returns the collector containing the secondary bodies the bead is attached to.

-------------------------------------

Getter Method

Signature SelectBottomParts

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

SelectTopParts

WeldBeadBuilder.SelectTopParts

Returns the collector containing the primary bodies the bead is attached to.

-------------------------------------

Getter Method

Signature SelectTopParts

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

SizeList

WeldBeadBuilder.SizeList

Returns the list containing the sizes used to create the bead.

-------------------------------------

Getter Method

Signature SizeList

Returns:
Return type:NXOpen.Weld.WeldBeadSizeBuilderList

New in version NX7.5.0.

License requirements: None.

TangentAngle

WeldBeadBuilder.TangentAngle

Returns or sets the tangent angle used to find faces tangent to the seed face specified.

-------------------------------------

Getter Method

Signature TangentAngle

Returns:
Return type:float

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TangentAngle

Parameters:tangentAngle (float) –

New in version NX10.0.0.

License requirements: ugweld (“UG WELD”)

Type

WeldBeadBuilder.Type

Returns or sets the shape of the bead to create.

-------------------------------------

Getter Method

Signature Type

Returns:
Return type:NXOpen.Weld.WeldBeadBuilderTypes

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Type

Parameters:type (NXOpen.Weld.WeldBeadBuilderTypes) –

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

Method Detail

CreatePreviewPath

WeldBeadBuilder.CreatePreviewPath

Creates a preview curve that will be used to create the bead solid.

Signature CreatePreviewPath()

Returns:The preview curve.
Return type:NXOpen.Spline

New in version NX11.0.0.

License requirements: None.

GetPreviewPath

WeldBeadBuilder.GetPreviewPath

The preview curve that will be used to create the bead solid.

Signature GetPreviewPath()

Returns:The preview curve.
Return type:NXOpen.Spline

New in version NX10.0.3.

License requirements: None.

NewPath

WeldBeadBuilder.NewPath

Creates a NXOpen.Weld.WeldBeadPathBuilder object.

Signature NewPath()

Returns:
Return type:NXOpen.Weld.WeldBeadPathBuilder

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

NewSize

WeldBeadBuilder.NewSize

Creates a NXOpen.Weld.WeldBeadSizeBuilder object.

Signature NewSize()

Returns:
Return type:NXOpen.Weld.WeldBeadSizeBuilder

New in version NX7.5.0.

License requirements: ugweld (“UG WELD”)

Validate

WeldBeadBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.